noinst_LTLIBRARIES = libavicore.la

if WITH_CODEC
libavicore_la_SOURCES_OPTIONS +=  codec_c.c codec_c.h
endif

libavicore_la_SOURCES = \
	avibase.h avicore.c avicore.h avifmt.h \
	aviopen.c aviframe.c aviedit.c avitext.c avisave.c \
	avifilesel.c avifilesel.h \
	bitmap.c bitmap.h \
	chunk.c chunk.h \
	icm.c icm.h \
	wave.h \
	$(libavicore_la_SOURCES_OPTIONS)

if WITH_W32
AM_CPPFLAGS := $(AM_CPPFLAGS)\
	-DW32CODECDIR=\""$(w32codecdir)"\"
endif

INCLUDES = \
	$(GTK_CFLAGS) \
	-I$(top_srcdir) \
	-I$(top_srcdir)/misc

if WITH_W32
libavicore_la_LIBADD = \
	$(GTK_LIBS) \
	$(top_builddir)/dllloader/libdllloader.la
else
libavicore_la_LIBADD = \
	$(GTK_LIBS) \
	$(top_builddir)/misc/libmisc.la
endif
